/* CSS for Footer */

footer {
    background-color: var(--color-background-footer);
    aspect-ratio: 16 / 8;
    min-height: 600px;
    max-height: 800px;
    overflow: hidden;
    padding:0;
}

.footer-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.footer .wrapper {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    padding: var(--spacing-section-vertical) var(--spacing-wrapper-horizontal);
    gap: var(--spacing-gap-large);
    justify-content: flex-end;
    height: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.45) 0%, transparent 100%);
}

.footer .footer-top {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: var(--spacing-gap-large);
}

.footer .footer-top-left { width:70%;}
.footer .footer-top-left .section-title__chip { color: rgba(255, 255, 255, 0.7); }
.footer .footer-top-left .section-title__heading { color: #fff; }

.footer .footer-top-right {
    display: flex;
    align-items: flex-end;
    gap: var(--spacing-gap-medium);
}

.footer .footer-description .text-small { text-align: right !important; }

.footer .footer-top-right .section-description {
    text-align: right;
    color: rgba(255, 255, 255, 0.85);
}

.footer .footer-top-right .text-small {
    color: rgba(255, 255, 255, 0.85);
}

.footer .footer-bottom {
    padding-top: var(--padding-large);
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--spacing-gap-small);
}


@media (max-width: 1500px) {
    .footer .footer-top-right { flex-direction: column; width:50%; gap: var(--spacing-gap-small); }
}

@media (max-width: 1024px) {
    .footer .wrapper { padding-bottom: var(--padding-large); }
    .footer .footer-top {
        flex-direction: column;
        align-items: flex-start;
        gap: var(--spacing-gap-small);
    }
    .footer .footer-top-right {
        align-items: flex-start;
    }
    .footer .footer-top-right .section-description {
        text-align: left;
    }
    .footer .section-title-container { align-items:center; justify-content:center; }
    .footer .button-holder { align-self: center; justify-content:center; align-items:center; }
    .footer .footer-top-right { width:100%; justify-content:center; align-items:center; }
    .footer .footer-top-right .text-small { text-align: center !important; }
    .footer .footer-top-left .section-title__heading { text-align: center !important; }
    .footer .footer-top-left { width: 100%; align-items:center; justify-content:center; }

    footer {
        aspect-ratio: unset;
        min-height: 80dvh;
        align-items: flex-end;
    }

    .footer-bottom-left, .footer-bottom-right { max-width: 50%; }
    .footer-bottom-left img, .footer-bottom-right img { max-width: 100%; height: auto; }
    
}

@media (max-width: 768px) {
}
